ON_Buffer Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

## Public Types

enum | { seek_from_beginning_of_file = 0, seek_from_current_position = 1, seek_from_end_of_file = 2 }

## Public Member Functions

| ON_Buffer ()
| ~ON_Buffer ()
| ON_Buffer (const ON_Buffer &src)
ON_Buffer & | operator= (const ON_Buffer &src)
void | Destroy ()
void | EmergencyDestroy ()
bool | AtEnd () const
ON__UINT64 | Size () const
ON__UINT32 | CRC32 (ON__UINT32 current_remainder) const
ON__UINT64 | CurrentPosition () const
ON__UINT64 | Write (ON__UINT64 size, const void *buffer)
ON__UINT64 | Read (ON__UINT64 size, void *buffer)
bool | Seek (ON__INT64 offset, int origin)
bool | SeekFromStart (ON__INT64 offset)
bool | SeekFromCurrentPosition (ON__INT64 offset)
bool | SeekFromEnd (ON__INT64 offset)
bool | ChangeSize (ON__UINT64 buffer_size)
bool | Compact ()
bool | IsValid (const ON_TextLog *text_log) const
ON__UINT32 | LastError () const
void | ClearLastError ()
ON_Buffer_ErrorHandler | ErrorHandler () const
void | SetErrorHandler (ON_Buffer_ErrorHandler error_handler)
bool | WriteToBinaryArchive (ON_BinaryArchive &) const
bool | ReadFromBinaryArchive (ON_BinaryArchive &)
bool | Compress (ON_Buffer &compressed_buffer) const
bool | Uncompress (ON_Buffer &uncompressed_buffer) const

## Static Public Member Functions

static int | Compare (const ON_Buffer &a, const ON_Buffer &b)

## Detailed Description

Definition at line 334 of file opennurbs_archive.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
seek_from_beginning_of_file |
seek_from_current_position |
seek_from_end_of_file |

Definition at line 432 of file opennurbs_archive.h.

## Constructor & Destructor Documentation

ON_Buffer::ON_Buffer | ( |  | ) |

ON_Buffer::~ON_Buffer | ( |  | ) |

ON_Buffer::ON_Buffer | ( | const ON_Buffer & | src | ) |

## Member Function Documentation

bool ON_Buffer::AtEnd | ( |  | ) | const

bool ON_Buffer::ChangeSize | ( | ON__UINT64 | buffer_size | ) |

void ON_Buffer::ClearLastError | ( |  | ) |

bool ON_Buffer::Compact | ( |  | ) |

static int ON_Buffer::Compare | ( | const ON_Buffer & | a,
|  | const ON_Buffer & | b
| ) |  |

static

bool ON_Buffer::Compress | ( | ON_Buffer & | compressed_buffer | ) | const

ON__UINT32 ON_Buffer::CRC32 | ( | ON__UINT32 | current_remainder | ) | const

ON__UINT64 ON_Buffer::CurrentPosition | ( |  | ) | const

void ON_Buffer::Destroy | ( |  | ) |

void ON_Buffer::EmergencyDestroy | ( |  | ) |

ON_Buffer_ErrorHandler ON_Buffer::ErrorHandler | ( |  | ) | const

bool ON_Buffer::IsValid | ( | const ON_TextLog * | text_log | ) | const

ON__UINT32 ON_Buffer::LastError | ( |  | ) | const

ON_Buffer& ON_Buffer::operator= | ( | const ON_Buffer & | src | ) |

ON__UINT64 ON_Buffer::Read | ( | ON__UINT64 | size,
|  | void * | buffer
| ) |  |

bool ON_Buffer::ReadFromBinaryArchive | ( | ON_BinaryArchive & |  | ) |

bool ON_Buffer::Seek | ( | ON__INT64 | offset,
|  | int | origin
| ) |  |

bool ON_Buffer::SeekFromCurrentPosition | ( | ON__INT64 | offset | ) |

bool ON_Buffer::SeekFromEnd | ( | ON__INT64 | offset | ) |

bool ON_Buffer::SeekFromStart | ( | ON__INT64 | offset | ) |

void ON_Buffer::SetErrorHandler | ( | ON_Buffer_ErrorHandler | error_handler | ) |

ON__UINT64 ON_Buffer::Size | ( |  | ) | const

bool ON_Buffer::Uncompress | ( | ON_Buffer & | uncompressed_buffer | ) | const

ON__UINT64 ON_Buffer::Write | ( | ON__UINT64 | size,
|  | const void * | buffer
| ) |  |

bool ON_Buffer::WriteToBinaryArchive | ( | ON_BinaryArchive & |  | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_archive.h